Bug 30160 - [bisected] xserver build error
Summary: [bisected] xserver build error
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xserver-1.9
  Show dependency treegraph
 
Reported: 2010-09-13 02:09 UTC by fangxun
Modified: 2010-09-15 02:37 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fangxun 2010-09-13 02:09:55 UTC
System Environment:
--------------------------
Platform:   piketon
Libdrm:    (master)2.4.21-15-gb04515c5d6c95f573457a94267b855cceb639105
Mesa:     (glsl2)b7e63c34e74ecfb1c4af8132471ca9cb70d28d1f
Xserver: (master)xorg-server-1.8.99.905-12-g8d7b7a0d71e0b89321b3341b781bc8845386def6
Xf86_video_intel: (master)2.12.0-65-g6304cb048c745be81dae13f1d936996e04eaa530


Bug detailed description:
-------------------------
xserver build fails with errors:
xf86VGAarbiter.c:1126: error: conflicting types for 'xf86VGAarbiterDeviceDecodes'
xf86VGAarbiter.h:43: note: previous declaration of 'xf86VGAarbiterDeviceDecodes' was here
make[5]: *** [xf86VGAarbiter.lo] Error 1

Bisect find the first bad commit is 65466652936bbb2706be455d0a416bcf08e88f66.
Author:     Tiago Vignatti <tiago.vignatti@nokia.com>
AuthorDate: Wed May 12 13:03:14 2010 +0300
Commit:     Tiago Vignatti <tiago.vignatti@nokia.com>
CommitDate: Thu Aug 26 18:17:12 2010 +0300

    xfree86: vgaarb: fix device decoding interface to send resources type properly

    Right now, when there is more than one vide card on the machine, we're
    adopting a pessimistic approach and setting all cards to decode VGA legacy
    address.

    Some cards may want to skip the arbitration and the only way to do so is
    through pci_device_vgaarb_decodes. Therefore, send the desired kind of
    resource instead force the worst case.

    Note that xf86VGAarbiterDeviceDecodes is not being used so far by any
    open-source driver. Even so, API break.

    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>


Reproduce steps:
----------------
1. ./autogen --prefix=/opt/X11R7
2. make
Comment 1 Tiago Vignatti 2010-09-13 03:15:41 UTC
I just sent the fix (to xorg-devel ml) to be integrated in master branch. Thank you for quickly spotting this.
Comment 2 fangxun 2010-09-14 18:13:10 UTC
Build success, so mark it as verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.